Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.

Use the API to manage the following features:

  • Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
  • Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
  • Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
  • Reward chains & Value points — configure reward progressions tied to value point accumulation.
  • Daily chains — set up recurring daily rewards to motivate regular logins.
  • Offer chains — build sequential purchase offers with per-step pricing and free reward options.
  • Upsell — a sales method in which the user is offered to buy an item with additional value.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.
  • Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.
Download OpenAPI description
Languages
Servers
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/api/liveops/
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Creates an upsell for a project.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Bodyapplication/json
One of:

Upsell type.

typestringrequired
Value"fixed_list"
Example: true
is_enabledboolean(is_enabled)required
Example: true
itemsArray of stringsrequired

Array of items SKU.

Default null
Example: ["game_sku"]
curl -i -X POST \
  https://store.xsolla.com/api/v2/project/44056/admin/items/upsell \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "is_enabled": true,
    "type": "fixed_list",
    "items": [
      "game_sku_1",
      "game_sku_2",
      "game_sku_3"
    ]
  }'

Responses

Upsell has been created for the project.

Response
No content

Request

Update an upsell for a project.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Bodyapplication/json
One of:

Upsell type.

typestringrequired
Value"fixed_list"
Example: true
is_enabledboolean(is_enabled)required
Example: true
itemsArray of stringsrequired

Array of items SKU.

Default null
Example: ["game_sku"]
curl -i -X PUT \
  https://store.xsolla.com/api/v2/project/44056/admin/items/upsell \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "is_enabled": true,
    "type": "fixed_list",
    "items": [
      "game_sku_1",
      "game_sku_2",
      "game_sku_3"
    ]
  }'

Responses

Upsell has been updated for the project.

Response
No content

Activate/Deactivate project's upsellServer-sideAdmin

Request

Changes an upsell’s status in a project to be either active or inactive.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
togglestringrequired

Activation status.

Example: activate
curl -i -X PUT \
  https://store.xsolla.com/api/v2/project/44056/admin/items/upsell/activate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

An upsell in a project was activated or deactivated.

Response
No content
Operations